# Makefile for cdev collection device
# 
# Makefile,v
# Revision 1.2  1998/08/17  14:04:51  akers
# Added 'Minor Version Number' to TARGETDIR in Makefiles
#
# Revision 1.1  1996/11/12  20:32:07  akers
# New collection device source code
#
#
include ../Makefile.config

ifeq ($(SHOBJ),YES)
	OBJTYPE=.shobj/$(TARGETDIR)
else
	OBJTYPE=.obj/$(TARGETDIR)
endif

ifeq ($(INCDIR), )
	INCDIR = ../..
endif

OBJS =  $(OBJTYPE)/cdevCollection.o \
	$(OBJTYPE)/cdevCollectionRequest.o \
	$(OBJTYPE)/cdevDefCollectionRequest.o \
	$(OBJTYPE)/cdevGrpCollectionRequest.o \
	$(OBJTYPE)/defCallbackCollector.o \
	$(OBJTYPE)/grpCallbackCollector.o \
	$(OBJTYPE)/cdevErrorCollection.o
	

targets: $(OBJTYPE) $(OBJDIR)/$(OBJTYPE) copyobjs copyincs

$(OBJTYPE) :
	@mkdir -p $(OBJTYPE)
	
$(OBJDIR)/$(OBJTYPE) :
	@mkdir $(OBJDIR)/$(OBJTYPE)
						
copyobjs: $(OBJS)
	@cp -f $(OBJS) $(OBJDIR)/$(OBJTYPE)

copyincs:
	@cp -f *.h $(INCDIR)

clean: clean_hail
	@rm -rf *.o .obj .shobj core *~ 	
